List API keys
GET
/v1/auth/api
const url = 'https://api.neuramancer.dev/v1/auth/api?tenantName=example';const options = {method: 'GET', headers: {Authorization: '<Authorization>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://api.neuramancer.dev/v1/auth/api?tenantName=example' \ --header 'Authorization: <Authorization>'Returns the tenant’s API keys with masked secrets. Requires authentication (API key belonging to tenant or user JWT with tenant access).
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”tenantName
required
string
Tenant name to scope the query.
Responses
Section titled “Responses”API keys retrieved successfully
Media typeapplication/json
object
success
required
boolean
data
required
List of API keys with masked secrets
Array<object>
object
name
required
Human-readable name for the API key
string
uuid
required
Unique identifier for the API key
string
createdDate
required
Creation timestamp
string format: date-time
expiryDate
required
Expiration timestamp
string format: date-time
secret
required
API key secret (masked, not the actual secret after first read)
string
Example
{ "success": true}Tenant name is required
Media typeapplication/json
object
success
required
boolean
message
required
Error message
string
Example
{ "success": false}Unauthorized - invalid or missing authentication
Media typeapplication/json
object
success
required
boolean
message
required
Error message
string
Example
{ "success": false}Unauthorized - tenant access denied
Media typeapplication/json
object
success
required
boolean
message
required
Error message
string
Example
{ "success": false}Tenant not found
Media typeapplication/json
object
success
required
boolean
message
required
Error message
string
Example
{ "success": false}Internal server error
Media typeapplication/json
object
success
required
boolean
message
required
Error message
string
Example
{ "success": false}